<?php 
/**
 *
 * @copyright &copy; 2010 The Open University
 * @author a.j.forth@open.ac.uk
 * @license http://www.gnu.org/copyleft/gpl.html GNU Public License
 * @package dataplus
 */

function xmldb_dataplus_upgrade($oldversion=0) {

	$result = true;
	
    if ($result && $oldversion < 2010012500) {

    /// Define field format to be added to data_comments
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('navigationlimit');
        $field->setAttributes(XMLDB_TYPE_INTEGER, '2', XMLDB_UNSIGNED, XMLDB_NOTNULL, null, null, null, '15', 'savebuttonlabel');

    /// Launch add field format
        $result = $result && add_field($table, $field);

    }
    
    if ($result && $oldversion < 2010012501) {
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('viewtablabel');
        $field->setAttributes(XMLDB_TYPE_TEXT, 'small', null, null, null, null, null, null, 'teachereditingother');

        $result = $result && add_field($table, $field);
    }
    
    
    if ($result && $oldversion < 2010012501) {
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('viewtabvisible');
        $field->setAttributes(XMLDB_TYPE_INTEGER, '1', XMLDB_UNSIGNED, XMLDB_NOTNULL, null, null, null, '15', 'viewtablabel');

        $result = $result && add_field($table, $field);
    }

    if ($result && $oldversion < 2010012501) {
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('singlerecordtablabel');
        $field->setAttributes(XMLDB_TYPE_TEXT, 'small', null, null, null, null, null, null, 'viewtabvisible');

        $result = $result && add_field($table, $field);
    }
    
    
    if ($result && $oldversion < 2010012501) {
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('singlerecordtabvisible');
        $field->setAttributes(XMLDB_TYPE_INTEGER, '1', XMLDB_UNSIGNED, XMLDB_NOTNULL, null, null, null, '15', 'singlerecordtablabel');

        $result = $result && add_field($table, $field);
    }
    
    if ($result && $oldversion < 2010012501) {
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('searchtablabel');
        $field->setAttributes(XMLDB_TYPE_TEXT, 'small', null, null, null, null, null, null, 'singlerecordtabvisible');

        $result = $result && add_field($table, $field);
    }
    
    
    if ($result && $oldversion < 2010012501) {
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('searchtabvisible');
        $field->setAttributes(XMLDB_TYPE_INTEGER, '1', XMLDB_UNSIGNED, XMLDB_NOTNULL, null, null, null, '15', 'searchtablabel');

        $result = $result && add_field($table, $field);
    }

    if ($result && $oldversion < 2010012502) {
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('addrecordtablabel');
        $field->setAttributes(XMLDB_TYPE_TEXT, 'small', null, null, null, null, null, null, 'searchtabvisible');

        $result = $result && add_field($table, $field);
    }
    
    
    if ($result && $oldversion < 2010012502) {
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('addrecordtabvisible');
        $field->setAttributes(XMLDB_TYPE_INTEGER, '1', XMLDB_UNSIGNED, XMLDB_NOTNULL, null, null, null, '15', 'addrecordtablabel');

        $result = $result && add_field($table, $field);
    }  

    if ($result && $oldversion < 2010012502) {
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('exporttablabel');
        $field->setAttributes(XMLDB_TYPE_TEXT, 'small', null, null, null, null, null, null, 'addrecordtabvisible');

        $result = $result && add_field($table, $field);
    }
    
    
    if ($result && $oldversion < 2010012502) {
        $table = new XMLDBTable('dataplus');
        $field = new XMLDBField('exporttabvisible');
        $field->setAttributes(XMLDB_TYPE_INTEGER, '1', XMLDB_UNSIGNED, XMLDB_NOTNULL, null, null, null, '15', 'exporttablabel');

        $result = $result && add_field($table, $field);
    }      
    
    return $result;
}
?>