<?php
/**
 *
 * @copyright &copy; 2010 The Open University
 * @author a.j.forth@open.ac.uk
 * @license http://www.gnu.org/copyleft/gpl.html GNU Public License
 * @package dataplus
 */

$string['actionfailed'] = 'Action failed';
$string['actions'] = 'Actions';
$string['add'] = 'Add';
$string['addactionstorecord'] = 'Add actions to your record';
$string['addadditionaltorecord'] = 'Add additional information to your record';
$string['addfields'] = 'Add to your database';
$string['addfieldstorecord'] = 'Add fields to your record';
$string['addinfo'] = 'Add additional information to your record';
$string['addrecordfunctions'] = 'Add record functions';
$string['addrecord'] = 'Add record';
$string['addrecordtablabel'] = 'Add record tab label';
$string['addrecordtabvisible'] = 'Add record tab visible';
$string['advancedsearch'] = 'Advanced search';
$string['allowmultiple'] = 'Allow multiple selections';
$string['alttag'] = 'alt tag';
$string['Alttag'] = 'Alt tag';
$string['ammendsearch'] = 'Amend search';
$string['ascending'] = 'ascending';
$string['availablefromdate'] = 'Available from';
$string['availabletodate'] = 'Available to';
$string['before'] = 'before';
$string['boo_ignore'] = '<em>ignore</em>';
$string['capablilty_delete_database'] = 'Sorry, your account does not have the required capabilities to delete records from the database.';
$string['capablilty_edit_template'] = 'Sorry, your account does not have the required capabilities to edit templates.';
$string['capablilty_manage_database'] = 'Sorry, your account does not have the required capabilities to manage the database.';
$string['capablilty_insert_database'] = 'Sorry, your account does not have the required capabilities to add or edit database records.';
$string['capablilty_view_database'] = 'Sorry, your account does not have the required capabilities to view records.';
$string['confirmdelete'] = 'Confirm deletion';
$string['contains'] = 'contains';
$string['created'] = 'Created';
$string['creator'] = 'Creator';
$string['creatorid'] = 'Creator id';
$string['css'] = 'CSS template';
$string['css_hide'] = 'Hide CSS';
$string['css_show'] = 'Show CSS';
$string['database'] = 'Database';
$string['databasenotsetup'] = 'This database has not yet been setup.';
$string['databasesetup'] = 'Setup database';
$string['dataplus:databaseedit'] = 'Edit database structure';
$string['dataplus:dataeditothers'] = 'Edit others database records';
$string['dataplus:dataeditown'] = 'Edit own database records';
$string['dataplus:downloadfull'] = 'Download database';
$string['dataplus:view'] = 'View database';
$string['dbempty'] = 'This database is currently empty.';
$string['dbnotfound'] = 'The record specified was not found.';
$string['delete'] = 'delete';
$string['deleterecord'] = 'Delete Record';
$string['descending'] = 'descending';
$string['disable_editor'] = 'Disable editor';
$string['downloadcsv'] = 'Download in CSV format';
$string['downloadcsvhelp'] = 'Compatible with Microsoft Excel, Microsoft Access, StarOffice, etc.';
$string['downloaddb'] = 'Download SQLite database';
$string['downloaddbhelp'] = 'Compatible with freely available SQLite Manager for Firefox, SQLiteTool, etc.';
$string['downloadfulldb'] = 'Download fully compatible DataPlus database';
$string['downloadfulldbhelp'] = 'Suitable for importing into another instance of DataPlus.  May contain identifiable student information.';
$string['edit'] = 'edit';
$string['editfield'] = 'Edit field';
$string['editrecord'] = 'Edit record';
$string['enable_editor'] = 'Enable editor';
$string['entries'] = 'Entries';
$string['equals'] = 'equals';
$string['export'] = 'Export';
$string['exportdb'] = 'Export Database';
$string['exporttablabel'] = 'Export tab label';
$string['exporttabvisible'] = 'Export tab visible';
$string['false'] = 'false';
$string['field_boolean'] = 'True / false';
$string['field_date'] = 'Date';
$string['field_datetime'] = 'Date / time';
$string['field_file'] = 'File';
$string['field_image'] = 'Image';
$string['field_longtext'] = 'Text (multiple lines)';
$string['field_menu'] = 'Menu';
$string['field_menumultiple'] = 'Menu (multiple selections)';
$string['field_menusingle'] = 'Menu (single selection)';
$string['field_number'] = 'Number';
$string['field_smalltext'] = 'Text (one line)';
$string['field_url'] = 'URL';
$string['fielddelete'] = 'Delete Field';
$string['fielddeleted'] = 'Field deleted successfully.';
$string['fieldedited'] = 'Field edited successfully.';
$string['fieldname'] = 'Field name';
$string['fieldtype'] = 'Field type';
$string['first'] = 'first';
$string['footer'] = 'Footer';
$string['greaterthan'] = 'greater than';
$string['group'] = 'Group';
$string['groupmember'] = 'Sorry, you are not a member of the necessary group to perform this function or the group mode has been incorrectly set.';
$string['header'] = 'Header';
$string['import'] = 'Import';
$string['importcomplete'] = 'Import complete.  Database available for use.';
$string['importdb'] = 'Import DataPlus Database';
$string['importremovegroup'] = 'Remove group settings <em>(Note: existing group settings maybe incompatible with groups set up in this course)</em>';
$string['importwarning'] = '<em>Warning:</em> Imported databases must be SQLite3 compatible and have a DataPlus compatible table structure.  Any data in this instance of DataPlus will be lost.';
$string['id'] = 'Record id';
$string['intro'] = 'Introduction';
$string['javascript'] = 'Javascript template';
$string['javascript_hide'] = 'Hide Javascript';
$string['javascript_show'] = 'Show Javascript';
$string['label'] = 'label';
$string['labelexists'] = 'A field with that label already exists, please ammend it';
$string['last'] = 'last';
$string['lessthan'] = 'less than';
$string['listperpage'] = 'Number of entries per page';
$string['maxentries'] = 'Maximum entries';
$string['maxentriesreached'] = 'This database has a limit of $a records.  This limit has been reached.  No more records may be added.';
$string['navigationlimit'] = 'Navigation limit';
$string['next'] = 'next';
$string['numnotapproved'] = 'Pending';
$string['managedatabase'] = 'Manage database';
$string['modulename'] = 'DataPlus';
$string['modulenameplural'] = 'Course databases';
$string['none'] = 'none';
$string['options'] = 'Options - one per line';
$string['previous'] = 'previous';
$string['record'] = 'Record';
$string['record_count'] = 'Record count';
$string['record_navigation'] = 'Record navigation';
$string['record_no'] = 'Record number';
$string['recordadded'] = 'Record added.  Add another...';
$string['recordcount'] = 'records $a[0] - $a[1] of $a[2]';
$string['recordcountsingle'] = 'record $a[0] of $a[1]';
$string['recorddeleted'] = 'Record deleted successfully.';
$string['requiredentries'] = 'Required entries';
$string['requiredentriesreminder'] = 'You are required to create $a[0] records in the database to complete this exercise.  So far you have created $a[1] records.';
$string['requiredentriestoview'] = 'Entries required before viewing';
$string['requiredentriestoviewreminder'] = 'You are required to create $a[0] records in the database before viewing records in the database.  So far you have created $a[1] records.';
$string['requiredentriestoviewdone'] = 'You have entered $a records in the database.  You may now view records.';
$string['resettemplate'] = 'Reset template';
$string['returntofields'] = 'Return to fields list';
$string['samename'] = 'A field already exists with the same, or a very similar, name.  Please alter the field name and try again.';
$string['savebuttonlabel'] = 'Save button label';
$string['search'] = 'Search';
$string['searchtablabel'] = 'Search tab label';
$string['searchtabvisible'] = 'Search tab visible';
$string['searchempty'] = 'Your search return no results';
$string['simplesearch'] = 'Simple search';
$string['since'] = 'since';
$string['single_record'] = 'Single record';
$string['singlerecordtablabel'] = 'Single record tab label';
$string['singlerecordtabvisible'] = 'Single record tab visible';
$string['size'] = 'Size';
$string['sort'] = 'Sort';
$string['sort1'] = 'Sort level 1';
$string['sort2'] = 'Sort level 2';
$string['sort3'] = 'Sort level 3';
$string['studentediting'] = 'Allow student to edit own records';
$string['studenteditingother'] = 'Allow students to edit others records';
$string['suppdesc'] = '$a descriptor';
$string['teacherediting'] = 'Allow teacher to edit own records';
$string['teachereditingother'] = 'Allow teachers to edit others records';
$string['template_single'] = 'Single record template';
$string['template_view'] = 'View template';
$string['templates'] = 'Templates';
$string['templateupdated'] = 'Template updated';
$string['true'] = 'true';
$string['twosame'] = 'Two or more fields have the same label.  Labels must be unique.  Please ammend this before proceeding.';
$string['updated'] = 'Updated';
$string['updater'] = 'Updater';
$string['updaterid'] = 'Updater id';
$string['useroutline_createcolumn'] = 'Number of new fields created: ';
$string['useroutline_delete'] = 'Number of records deleted: ';
$string['useroutline_deletecolumn'] = 'Number of fields deleted: ';
$string['useroutline_editcolumn'] = 'Number of fields edited: ';
$string['useroutline_insert'] = 'Number of new records created: ';
$string['useroutline_noactivity'] = 'No activity found for this user.';
$string['useroutline_search'] = 'Number of searches: ';
$string['useroutline_update'] = 'Number of records updated: ';
$string['useroutline_view'] = 'Number of record views: ';
$string['validate_file_suffix'] = 'Upload failed - File must be of the type zip.';
$string['validate_no_db'] = 'Upload failed - no database found in zip file.';
$string['validate_table_column'] = 'Database validation failed - column table does not exist.';
$string['validate_table_content'] = 'Database validation failed - content table does not exist.';
$string['validate_table_supportinginfo'] = 'Database validation failed - supportinginfo table does not exist.';
$string['validate_table_templates'] = 'Database validation failed - templates table does not exist.';
$string['validate_toomanytables'] = 'Database validation failed  - the database uploaded contains too many tables to be used in Database 2';
$string['view'] = 'View';
$string['viewfromdate'] = 'Viewable from';
$string['viewtablabel'] = 'View tab label';
$string['viewtabvisible'] = 'View tab visible';
$string['viewtodate'] = 'Viewable to';

?>
